/*
 * Class reference REAL_32
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_181 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_1_181 [] = {0xFF01,237,180,0xFFFF};
static const EIF_TYPE_INDEX egt_2_181 [] = {0xFF01,180,0xFFFF};
static const EIF_TYPE_INDEX egt_3_181 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_181 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_181 [] = {0xFF01,180,0xFFFF};
static const EIF_TYPE_INDEX egt_6_181 [] = {0xFF01,180,0xFFFF};
static const EIF_TYPE_INDEX egt_7_181 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_181 [] = {0xFF01,14,0xFFFF};
static const EIF_TYPE_INDEX egt_9_181 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_10_181 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_11_181 [] = {0xFF01,15,0xFFFF};
static const EIF_TYPE_INDEX egt_12_181 [] = {0xFF01,180,0xFFFF};
static const EIF_TYPE_INDEX egt_13_181 [] = {0xFF01,180,0xFFFF};
static const EIF_TYPE_INDEX egt_14_181 [] = {0xFF01,180,0xFFFF};
static const EIF_TYPE_INDEX egt_15_181 [] = {0xFF01,180,0xFFFF};
static const EIF_TYPE_INDEX egt_16_181 [] = {0xFF01,180,0xFFFF};
static const EIF_TYPE_INDEX egt_17_181 [] = {0xFF01,180,0xFFFF};
static const EIF_TYPE_INDEX egt_18_181 [] = {0xFF01,178,0xFFFF};
static const EIF_TYPE_INDEX egt_19_181 [] = {0xFF01,180,0xFFFF};
static const EIF_TYPE_INDEX egt_20_181 [] = {0xFF01,220,0xFFFF};


static const struct desc_info desc_181[] = {
	{EIF_GENERIC(NULL), 0xFFFFFFFF, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_181), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_181), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 10017, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_181), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_181), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_181), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_181), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_181), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_181), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_181), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_181), 10074, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_181), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_181), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_181), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01AF /*215*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_181), 30, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 10005, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 10021, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_181), 10007, 0xFFFFFFFF},
	{EIF_GENERIC(egt_15_181), 10008, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 10019, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 10020, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0167 /*179*/), 10067, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0167 /*179*/), 10068, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0167 /*179*/), 10069, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0167 /*179*/), 10070, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0167 /*179*/), 10072, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0167 /*179*/), 10073, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 10075, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1452, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1453, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1454, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 1456, 0xFFFFFFFF},
	{EIF_GENERIC(egt_16_181), 1457, 0xFFFFFFFF},
	{EIF_GENERIC(egt_17_181), 1458, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0167 /*179*/), 10004, 0},
	{EIF_NON_GENERIC(0x019D /*206*/), 10006, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0167 /*179*/), 10009, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0167 /*179*/), 10010, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0167 /*179*/), 10011, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0167 /*179*/), 10012, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0167 /*179*/), 10013, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0167 /*179*/), 10014, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0167 /*179*/), 10015, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 10018, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 10076, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 10077, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 10078, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 10025, 0xFFFFFFFF},
	{EIF_GENERIC(egt_18_181), 10026, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 10079, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0179 /*188*/), 10080, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0185 /*194*/), 10064, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 10030, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 10031, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 10032, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0167 /*179*/), 10065, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0167 /*179*/), 10066, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0167 /*179*/), 10035, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0167 /*179*/), 10036, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0185 /*194*/), 10071, 0xFFFFFFFF},
	{EIF_GENERIC(egt_19_181), 10045, 0xFFFFFFFF},
	{EIF_GENERIC(egt_20_181), 10074, 0xFFFFFFFF},
};
void Init181(void)
{
	IDSC(desc_181, 0, 180);
	IDSC(desc_181 + 1, 1, 180);
	IDSC(desc_181 + 32, 248, 180);
	IDSC(desc_181 + 34, 254, 180);
	IDSC(desc_181 + 44, 203, 180);
	IDSC(desc_181 + 48, 288, 180);
	IDSC(desc_181 + 51, 320, 180);
	IDSC(desc_181 + 78, 336, 180);
}


#ifdef __cplusplus
}
#endif
